Add constraint creation functions to TcPluginM API
ClosedPublic

Authored by adamgundry on May 26 2015, 11:39 AM.

Details

Summary

This extends the TcPluginM API with functions to create new constraints,
as described here:
https://ghc.haskell.org/trac/ghc/wiki/Plugins/TypeChecker#Post-7.10changestoTcPluginMAPI

Test Plan

validate and hope

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
adamgundry retitled this revision from to Add constraint creation functions to TcPluginM API.May 26 2015, 11:39 AM
adamgundry updated this object.
adamgundry edited the test plan for this revision. (Show Details)
adamgundry added reviewers: austin, yav, christiaanb.

Yes, I'm happy that there a both the simple wrappers to create constraints, and a way to manipulate the EvBindsVar directly.

christiaanb accepted this revision.May 28 2015, 2:24 AM
This revision is now accepted and ready to land.May 28 2015, 2:24 AM
adamgundry updated this revision to Diff 3078.Jun 1 2015, 7:35 AM
  • Add newUnique to TcPluginM API
This revision was automatically updated to reflect the committed changes.